9159金沙游艺场

图片 4
IoC 容器的初始化之 BeanDefinition 的载入和解析
图片 4
windows10系统终极净化方法

utf-8-用pip下载gensim出现exception 求大佬们指点!!!

Installing collected packages: pycparser, cffi, asn1crypto,
cryptography, pyOpenSSL, Twisted, pyasn1, pyasn1-modules,
service-identity, queuelib, scrapy

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File
“C:ProgramDataAnaconda3libsite-packagespipbasecommand.py”,
line 215
, in main
status = self.run(options, args)
File
“C:ProgramDataAnaconda3libsite-packagespipcommandsinstall.py”,
lin
e 385, in run
requirement_set.cleanup_files()
File
“C:ProgramDataAnaconda3libsite-packagespiputilsbuild.py”,
line 38,
in exit
self.cleanup()
File
“C:ProgramDataAnaconda3libsite-packagespiputilsbuild.py”,
line 42,
in cleanup
rmtree(self.name)
File
“C:ProgramDataAnaconda3libsite-packagespip_vendorretrying.py”,
lin
e 49, in wrapped_f
return Retrying(*dargs, **dkw).call(f, *args, **kw)
File
“C:ProgramDataAnaconda3libsite-packagespip_vendorretrying.py”,
lin
e 212, in call
raise attempt.get()
File
“C:ProgramDataAnaconda3libsite-packagespip_vendorretrying.py”,
lin
e 247, in get
six.reraise(self.value[0], self.value[1], self.value[2])
File
“C:ProgramDataAnaconda3libsite-packagespip_vendorsix.py”,
line 686
, in reraise
raise value
File
“C:ProgramDataAnaconda3libsite-packagespip_vendorretrying.py”,
lin
e 200, in call
attempt = Attempt(fn(*args, **kwargs), attempt_number, False)
File
“C:ProgramDataAnaconda3libsite-packagespiputils__init__.py”,
line
102, in rmtree
onerror=rmtree_errorhandler)
File “C:ProgramDataAnaconda3libshutil.py”, line 488, in rmtree
return rmtree_unsafe(path, onerror)
File “C:ProgramDataAnaconda3libshutil.py”, line 378, in
_rmtree_unsafe
_rmtree_unsafe(fullname, onerror)
File “C:ProgramDataAnaconda3libshutil.py”, line 387, in
_rmtree_unsafe
onerror(os.rmdir, path, sys.exc_info
File
“C:ProgramDataAnaconda3libsite-packagespiputils
_init__.py”,
line
114, in rmtree_errorhandler
func
PermissionError: [WinError 32]
另一个程序正在使用此文件,进程无法访问。: ‘C:Us
ersAaronAppDataLocalTemppip-build-v6n4yggtpymongo’

During handling of the above exception, another exception occurred:

有没有大佬告诉一下是哪里出了问题???

During handling of the above exception, another exception occurred:

  File
“e:pythonenvspy2scripylibsite-packagespipreqreq_install.py”,
line 878, in install

用pip下载gensim出现exception 求大佬们指点!!! 5C
Collecting gensim
Using cached gensim-3.1.0.tar.gz
Exception:
Traceback (most recent call last):
File “c:program
filespython37libsite-packagespipcompat__init__.py”, line
73, in console_to_str
return s.decode(sys.__stdout__.encoding)
UnicodeDecodeError: ‘utf-8’ codec can’t decode byte 0xb9 in position 14:
invalid start byte

Traceback (most recent call last):
File
“C:ProgramDataAnaconda3libsite-packagespipcommandsinstall.py”,
lin
e 342, in run
prefix=options.prefix_path,
File
“C:ProgramDataAnaconda3libsite-packagespipreqreq_set.py”,
line 784
, in install
**kwargs
File
“C:ProgramDataAnaconda3libsite-packagespipreqreq_install.py”,
line
878, in install
spinner=spinner,
File
“C:ProgramDataAnaconda3libsite-packagespiputils__init__.py”,
line
676, in call_subprocess
line = console_to_str(proc.stdout.readline
File
“C:ProgramDataAnaconda3libsite-packagespipcompat__init__.py”,
line
75, in console_to_str
return s.decode
UnicodeDecodeError: ‘utf-8’ codec can’t decode byte 0xa1 in position 42:
invalid
start byte

  File
“e:pythonenvspy2scripylibsite-packagespipcompat__init__.py”,
line 73, in console_to_str

Traceback (most recent call last):
File “c:program
filespython37libsite-packagespipbasecommand.py”, line 215, in
main
status = self.run(options, args)
File “c:program
filespython37libsite-packagespipcommandsinstall.py”, line
324, in run
requirement_set.prepare_files
File “c:program
filespython37libsite-packagespipreqreq_set.py”, line 380,
in prepare_files
ignore_dependencies=self.ignore_dependencies))
File “c:program
filespython37libsite-packagespipreqreq_set.py”, line 634,
in prepare_file
abstract_dist.prep_for_dist()
File “c:program
filespython37libsite-packagespipreqreq_set.py”, line 129,
in prep_for_dist
self.req_to_install.run_egg_info()
File “c:program
filespython37libsite-packagespipreqreq_install.py”, line
439, in run_egg_info
command_desc=’python setup.py egg_info’)
File “c:program
filespython37libsite-packagespiputils
_init__.py”, line
676, in call_subprocess
line = console_to_str(proc.stdout.readline
File “c:program
filespython37libsite-packagespipcompat__init__.py”, line
75, in console_to_str
return s.decode
UnicodeDecodeError: ‘utf-8’ codec can’t decode byte 0xb9 in position 14:
invalid start byte

pip install pymongo 总是报错
报错代码如下:
C:Windowssystem32>pip install pymongo
Collecting pymongo
Using cached pymongo-3.4.0.tar.gz
Building wheels for collected packages: pymongo
Running setup.py bdist_wheel for pymongo … error
Failed building wheel for pymongo
Running setup.py clean for pymongo
Failed cleaning build dir for pymongo
Failed to build pymongo
Installing collected packages: pymongo
Running setup.py install for pymongo … error
Exception:
Traceback (most recent call last):
File
“C:ProgramDataAnaconda3libsite-packagespipcompat__init__.py”,
line
73, in console_to_str
return s.decode(sys.__stdout__.encoding)
UnicodeDecodeError: ‘utf-8’ codec can’t decode byte 0xa1 in position 42:
invalid
start byte

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

During handling of the above exception, another exception occurred:

    **kwargs

Traceback (most recent call last):
File
“C:ProgramDataAnaconda3libsite-packagespipcommandsinstall.py”,
lin
e 385, in run
requirement_set.cleanup_files()
File
“C:ProgramDataAnaconda3libsite-packagespipreqreq_set.py”,
line 729
, in cleanup_files
req.remove_temporary_source()
File
“C:ProgramDataAnaconda3libsite-packagespipreqreq_install.py”,
line
977, in remove_temporary_source
rmtree(self.source_dir)
File
“C:ProgramDataAnaconda3libsite-packagespip_vendorretrying.py”,
lin
e 49, in wrapped_f
return Retrying(*dargs, **dkw).call(f, *args, **kw)
File
“C:ProgramDataAnaconda3libsite-packagespip_vendorretrying.py”,
lin
e 212, in call
raise attempt.get()
File
“C:ProgramDataAnaconda3libsite-packagespip_vendorretrying.py”,
lin
e 247, in get
six.reraise(self.value[0], self.value[1], self.value[2])
File
“C:ProgramDataAnaconda3libsite-packagespip_vendorsix.py”,
line 686
, in reraise
raise value
File
“C:ProgramDataAnaconda3libsite-packagespip_vendorretrying.py”,
lin
e 200, in call
attempt = Attempt(fn(*args, **kwargs), attempt_number, False)
File
“C:ProgramDataAnaconda3libsite-packagespiputils__init__.py”,
line
102, in rmtree
onerror=rmtree_errorhandler)
File “C:ProgramDataAnaconda3libshutil.py”, line 488, in rmtree
return rmtree_unsafe(path, onerror)
File “C:ProgramDataAnaconda3libshutil.py”, line 387, in
_rmtree_unsafe
onerror(os.rmdir, path, sys.exc_info
File
“C:ProgramDataAnaconda3libsite-packagespiputils
_init__.py”,
line
114, in rmtree_errorhandler
func
PermissionError: [WinError 32]
另一个程序正在使用此文件,进程无法访问。: ‘C:Us
ersAaronAppDataLocalTemppip-build-v6n4yggtpymongo’

Failed to build Twisted

 

  File
“e:pythonenvspy2scripylibsite-packagespipcompat__init__.py”,
line 75, in console_to_str

 

Traceback (most recent call last):

相关文章

No Comments, Be The First!
近期评论
    功能
    网站地图xml地图